Module | SeleniumOnRails::SuiteRenderer
In: | lib/selenium_on_rails/suite_renderer.rb

### Methods

link_to_test_case test_cases test_suite_name test_suites

### Public Instance methods

link_to_test_case(suite_name, filename)

[Source]

        # File lib/selenium_on_rails/suite_renderer.rb, line 24
    24:   def link_to_test_case suite_name, filename
    25:     name = suite_name + test_case_name(filename)
    26:     link_to name, :action => :test_file, :testname => path_to_relative_url(filename).sub(/^\//,'')
    27:   end

test_cases(path)

[Source]

        # File lib/selenium_on_rails/suite_renderer.rb, line 18
    18:   def test_cases path
    19:     tests = []
    20:     visit_all_tests path, '', nil, Proc.new {|n, p| tests << [n,p]}
    21:     tests
    22:   end

test_suite_name(path)

[Source]

       # File lib/selenium_on_rails/suite_renderer.rb, line 2
    2:   def test_suite_name path
    3:     return 'All test cases' if [nil, '/'].include? path_to_relative_url(path)
    4:     File.split(path)[-1].humanize
    5:   end

test_suites(path)

[Source]

        # File lib/selenium_on_rails/suite_renderer.rb, line 7
     7:   def test_suites path
     8:     suites = []
     9:
    10:     parent_path = File.join(File.split(path).slice(0..-2)) #all but last
    11:     parent_path = path_to_relative_url parent_path
    12:     suites << ['..', parent_path] unless parent_path.nil?
    13:
    14:     visit_all_tests path, '', Proc.new {|n, p| suites << [n,path_to_relative_url(p)]}, nil
    15:     suites
    16:   end

[Validate]